package cn.com.qmth.importpaper;

import java.io.IOException;
import java.util.Map;

import org.apache.commons.io.IOUtils;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import com.google.common.collect.Maps;

import okhttp3.Response;

public class ClearProp {

	private static Logger logger = LogManager.getLogger(ClearProp.class);
	private static String batch = "230821";
	
//	private static String host = "http://192.168.1.249:8008";
//	private static String rootOrgId = "17351";
//	private static String key = "$SS:C_17351_646523";
//	private static String token = "44c75d3e15fa4f2ea5d2f52237d06199";
	
	private static String host = "http://localhost:8008";
	private static String rootOrgId = "156";
	private static String key = "$SS:C_156_177";
	private static String token = "a12d8d9916054595ba9c22b7e7e5b9e4";

	public static void main(String[] args) {
		logger.debug("**********************开始");
		clear();
		logger.debug("**********************结束");
	}


	private static void clear() {
		Map<String, String> params = Maps.newHashMap();
		params.put("rootOrgId", rootOrgId);
		params.put("batch", batch);
		Map<String, String> headers = Maps.newHashMap();
		headers.put("key", key);
		headers.put("token", token);
		Response resp = null;
		try {
//			OKHttpUtil.initOkHttpClient();
			resp = OKHttpUtil.call(HttpMethod.POST, host+"/api/ecs_ques/importYunkaiProp/clear", headers, params);
			if (resp.code() != 200) {
				throw new RuntimeException("body:" + resp.body().string());
			}
		} catch (IOException e) {
			throw new RuntimeException(e);
		} finally {
			IOUtils.closeQuietly(resp);
			OKHttpUtil.close();
		}
	}

}
