package cn.com.qmth.importpaper;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.atomic.AtomicInteger;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

public class ImportPaperByCourse {

	private static Logger logger = LogManager.getLogger(ImportPaperByCourse.class);
//	private final static String sourceDir = "d:/guangkai/";
	private final static String sourceDir = "d:/yunkai/";
	//课程属性批次号
	//不要修改
	//此值不要修改。因为第一次导入230517批次的时候未保存批次信息，所以230517批次的不能共用。第二次导入230821批次的保存了批次值，可以后续公用。
	private final static String batch = "230821";
	
//	private static String host = "http://192.168.10.145:8008";
//	private static String rootOrgId = "149";
//	private static String key = "$SS:C_149_170";
//	private static String token = "83540688f3ff4aebbaf1f98e1e77f17c";
	
	private static String host = "http://192.168.1.249:8008";
	private static String rootOrgId = "17351";
	private static String key = "$SS:C_17351_646523";
	private static String token = "95c77664d77f4ba6b58b940ab5e633c8";
	
	private static AtomicInteger count=new AtomicInteger(0);

	public static void main(String[] args) {
		logger.debug("导入开始");
		Date start=new Date();
		try {
			Map<String,Object> param=new HashMap<>();
			param.put("sourceDir", sourceDir);
			param.put("host", host);
			param.put("rootOrgId", rootOrgId);
			param.put("key", key);
			param.put("token", token);
			param.put("batch", batch);
			MyProducer pro=new MyProducer();
			pro.startDispose(MyConsumer.class, 2, param);
		} catch (Exception e) {
			logger.error(e.getCause(), e);
		}
		Date end=new Date();
		OKHttpUtil.close();
		logger.debug("导入结束，耗时："+((end.getTime()-start.getTime())/1000));
	}

	public static void  addDisposeCount() {
		count.addAndGet(1);
		logger.debug("处理了"+count);
	}
}
